Bug 237778 - Wrong init script
Summary: Wrong init script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: arptables_jf   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Martin Nagy
QA Contact:
URL:
Whiteboard:
Keywords: Patch
Depends On: 237775
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-25 12:16 UTC by Michal Marciniszyn
Modified: 2016-07-26 23:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 14:05:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch correcting init script (1.19 KB, patch)
2007-04-25 19:49 UTC, Maros Barabas
no flags Details | Diff

Description Michal Marciniszyn 2007-04-25 12:16:14 UTC
+++ This bug was initially created as a clone of Bug #237775 +++

Description of problem:
In several occasions, the script may end with return code 0 even when the
service does not start correctly. For example
if [ ! -x /sbin/arptables ]; then
        exit 0
fi

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1. change access rights such that /sbin/arptables is not executable
2. service arptables_jf start
3. echo $?
  
Actual results:
0

Expected results:
Non-zero exit code with respect to our guidelines.

Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

Comment 1 Maros Barabas 2007-04-25 19:49:58 UTC
Created attachment 153448 [details]
Patch correcting init script

Take a look at this patch please. I suggest to use it.

Comment 2 Martin Nagy 2008-02-25 14:05:16 UTC
Fixed in arptables_jf-0.0.8-11.fc9


Note You need to log in before you can comment on or make changes to this bug.